Name: x11-driver-input-evdev
Version: 1.1.2
Release: %mkrel 7
Summary: X.org input driver for Linux generic event devices
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-evdev-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
Patch0: evdev-1.1.2-cvs-20060605.patch
Patch1: xf86-input-evdev-1.1.2-have-HWheelRelativeAxisButtons-7-6-by-default.patch
Patch2: xf86-input-evdev-1.1.2-skip-HWheelRelativeAxisButtons-even-if-unused.patch

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Conflicts: xorg-x11-server < 7.0

%description
Evdev is an Xorg input driver for Linux's generic event devices.
It therefore supports all input devices that the kernel knows about,
including most mice and keyboards.

%prep
%setup -q -n xf86-input-evdev-%{version}
%patch0 -p0 -b .cvs-20060605
%patch1 -p1
%patch2 -p1

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/input/evdev_drv.la
%{_libdir}/xorg/modules/input/evdev_drv.so
%{_mandir}/man4/evdev.4.bz2


%changelog
* Tue Sep 12 2006 Pixel <pixel@mandriva.com>
+ 2006-09-12 10:58:54 (60986)
- the name of the evdev option is HWheelRelativeAxisButtons, not HWheelXAxisMapping

* Thu Aug 31 2006 Pixel <pixel@mandriva.com>
+ 2006-08-31 18:26:04 (59074)
- allow setting HWheelRelativeAxisButtons in config file to tell evdev to skip those buttons. that way we can standardize on buttons 6&7 for horiz scroll, and 8&9 for thumb back/next

* Wed Aug 16 2006 Pixel <pixel@mandriva.com>
+ 2006-08-16 20:55:37 (56465)
- really apply have-HWheelRelativeAxisButtons-7-6-by-default patch

* Wed Aug 16 2006 Pixel <pixel@mandriva.com>
+ 2006-08-16 20:38:35 (56460)
- (minor) drop old source

* Wed Aug 16 2006 Pixel <pixel@mandriva.com>
+ 2006-08-16 20:37:41 (56458)
- make the HWheel work under gtk & qt instead of being reversed

* Thu Aug 10 2006 Pixel <pixel@mandriva.com>
+ 2006-08-10 15:19:13 (55368)
- add CVS fixes (from fedora)

* Thu Jun 08 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-06-08 16:47:26 (36813)
- fix group

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-30 16:03:02 (31708)
- fill in summary & descriptions for all input drivers

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository
